<?php
/*
Plugin Name: Rewrite Query Strings
Plugin URI: http://sectio-aurea.org/2014/08/rewrite-query-string
Description: Rewrites query strings to prevent ?ver=version-number - without loosing the ability to update css / js files. Requires to updates .htaccess (rewrite rules)
Author: Ernesto Ruge
Version: 0.1
Author URI: http://sectio-aurea.org/
*/

function rewrite_query_string( $src) {
	$match = preg_match( "/(.*)(.css|.js)(.*)ver=([^&]*)(.*)/", $src, $result );
	if ( $match ) {
		if ( strlen($result[5]) > 0 or strlen($result[3]) > 1) {
			return($src);
		}
		else {
			return( $result[1] . '.rqsds.' . $result[4] . $result[2]);
		}
	}
  else {
		return($src);
  }
}
add_filter( 'script_loader_src', 'rewrite_query_string', 1000);
add_filter( 'style_loader_src', 'rewrite_query_string', 1000);

?>
